Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004591opensim[REGION] OpenSim Corepublic2010-02-19 18:102010-10-23 20:00
Reporternebadon 
Assigned To 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0004591: Search only works if the parcels your searching for are in the region you are also in.
DescriptionThe search module fails to show the information and screenshot about parcels if the regions are outside of the region you are currently in and searching from, any parcels in the region your in that return work just fine, everything else fails. We are using the most current version of OSSearch on OSgrid, and this appears to be a grid wide issues, something in the simulators and not in the back end.
TagsNo tags attached.
Git Revision or version number5c7acd0d4d4d4cf1eceb27dadabc051611a9be33
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE, BulletX, PhysX, Other
Script Engine
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships
child of 0003364closedFly-Man- [OSSEARCH] 

-  Notes
(0015037)
melanie (administrator)
2010-02-19 18:34

The issue is hidden somewhere in the complex of the LandModule, LandServiceConnector or GridService.

Search supplies a fake parcel ID, which is used to find the target region. Somewhere along the line, the region in question is likely not found, or not contacted properly. I have no time to investigate in depth, bit these are just some pointers I dug up.
(0015040)
Fly-Man- (developer)
2010-02-20 15:47

Search at this moment is not working properly with the latest versions of OpenSim.

As soon as the presence-refactor branch is merged, I can have a look at how to solve some issues.

Until then, I recommend not using the Search
(0015290)
Fly-Man- (developer)
2010-04-05 16:54

The larger issue at this moment with Search is that there's no "right" parcel uuid being send back to the viewer.

This disallows the viewer to accuratly show the region.

A solution for this is to no longer use the fake parcel uuid method and create a "space" server which every region registers the parcels.

But as Melanie already mentioned earlier, this would need to be a solution related to the DataSnapShot module that Diva made. The region does send back the right info to the backend but the viewer doesn't get that right info.
(0017096)
nebadon (administrator)
2010-10-23 20:00

this is fixed!

- Issue History
Date Modified Username Field Change
2010-02-19 18:10 nebadon New Issue
2010-02-19 18:10 nebadon Git Revision => 5c7acd0d4d4d4cf1eceb27dadabc051611a9be33
2010-02-19 18:10 nebadon SVN Revision => 0
2010-02-19 18:10 nebadon Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2010-02-19 18:10 nebadon Physics Engine => ODE, BulletX, PhysX, Other
2010-02-19 18:10 nebadon Environment => Mono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
2010-02-19 18:10 nebadon Mono Version => None
2010-02-19 18:34 melanie Note Added: 0015037
2010-02-19 18:34 melanie Status new => acknowledged
2010-02-19 20:01 nebadon Note Added: 0015038
2010-02-19 20:01 nebadon Note Deleted: 0015038
2010-02-20 15:45 Fly-Man- Relationship added child of 0003364
2010-02-20 15:47 Fly-Man- Note Added: 0015040
2010-04-05 16:54 Fly-Man- Note Added: 0015290
2010-10-23 20:00 nebadon Status acknowledged => closed
2010-10-23 20:00 nebadon Note Added: 0017096
2010-10-23 20:00 nebadon Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker